TAU_SET_INTERRUPT_IN(3)

Name
TAU_SET_INTERRUPT_INTERVAL - Change the inter-interrupt interval for tracking memory and headroom

Synopsis

C/C++:

TAU_SET_INTERRUPT_INTERVAL(int value);

Fortran:

TAU_SET_INTERRUPT_INTERVAL(integer value);

Description

Set the interrupt interval for tracking memory and headroom (See TAU_TRACK_MEMORY(3) and TAU_TRACK_MEMORY_HEADROOM(3)). By default an inter-interrupt interval of 10 seconds is used in TAU. This call allows the user to set it to a different value specified by the argument value.

Example

C/C++ :

    TAU_SET_INTERRUPT_INTERVAL(2)
    /* invokes the interrupt handler for memory every 2s */

Fortran :

    call TAU_SET_INTERRUPT_INTERVAL(2)

Python:

    import pytau
    pytau.setInterruptTnterval(2)

See Also

TAU_TRACK_MEMORY(3), TAU_TRACK_MEMORY_HEADROOM(3)